/* background section */
.background-section {
  height: calc(100vh - 50px);
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.background-section .background-image {
  width: 100%;
  height: 80%;
  object-fit: cover;
  z-index: -100;
}

.background-section .hadeth-section {
  width: 100%;
  height: 20%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 10px;
}

.background-section .hadeth-section p {
  font-size: 11px;
  font-weight: 700;
  margin: 0;
  color: #0e0e0e;
}

.background-section .hadeth-section .masdar {
  margin-top: 10px;
  font-size: 10px;
  background-color: #0e0e0e;
  color: #fff;
  font-weight: 500;
  padding: 2px 10px;
  border-radius: 100px;
}

.background-section .hadeth-section h1 {
  font-size: 16px;
  font-weight: 700;
  color: #045633;
  text-align: center;
  line-height: 1.5;
}

/* news section  */
.news-section {
  padding-top: 100px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.news-section .news-header {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px 0;
}

.news-section .news-body {
  margin: 50px 0;
  width: 100%;
  display: grid;
  grid-template-rows: auto auto;
  grid-template-columns: repeat(12, 1fr);
  grid-template-areas:
      "right right right left left left left left left left left left"
      "right right right left left left left left left left left left";
}

.news-section .news-body .right {
  grid-area: right;
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

.news-section .news-body .left {
  grid-area: left;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
}

.news-section .news-body .right .news-card {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 0 30px;
  transition: 0.3s;
  padding: 10px;
  border-radius: 15px;
  cursor: pointer;
}

.news-section .news-body .left .news-card {
  width: 225px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  transition: 0.3s;
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
}

.news-section .news-body .news-card:hover {
  background-color: #ddd;
}

.news-section .news-body .right .news-card img,
.news-section .news-body .left .news-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.news-section .news-body .right .news-card .img,
.news-section .news-body .left .news-card .img {
  width: 100%;
}

.news-section .news-body .right .news-card .news_title {
  color: #0e0e0e;
  display: block;
  font-weight: 700;
  font-size: 16px;
  line-height: 1.6;
  padding-top: 15px;
  margin: 0;
  text-align: right;
  width: 100%;
}

.news-section .news-body .left .news-card .news_title {
  color: #0e0e0e;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  -webkit-line-clamp: 2;
  font-weight: 700;
  font-size: 14px;
  line-height: 1.6;
  padding-top: 15px;
  margin: 0;
  text-align: right;
  width: 100%;
}

.news-section .news-body .left .news-card .news_date {
  margin-top: 10px;
}

.news-section .news-body .news-card .news_caption {
  color: #0e0e0e;
  font-size: 14px;
  margin: 0;
  margin-top: 10px;
  text-align: right;
  width: 100%;
  text-align: justify;
}

.news-section .news-body .news-card .news_date {
  font-size: 10px;
  margin: 0;
  font-weight: 600;
  color: #646464;
  width: 100%;
  text-align: right;
  margin-top: 5px;
}

.news-section .news-footer {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px 0px;
}

.news-section .news-footer a {
  font-size: 16px;
  font-weight: 500;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #2a2a2a;
  color: #fff;
  padding: 15px;
  height: 45px;
  width: 200px;
  border-radius: 8px;
  transition: 0.4s;
}

.news-section .news-footer a:hover {
  background-color: #0e0e0e;
}

/* books section */

.books-footer {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px 0px;
}

.books-footer a{
  font-size: 16px;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #2a2a2a;
    color: #fff;
    padding: 15px;
    height: 45px;
    width: 200px;
    border-radius: 8px;
    transition: 0.4s;
}

.books-footer a:hover {
  background-color: #0e0e0e;
}

.books-section {
  position: relative;
  height: 100%;
  font-size: 14px;
  color: #000;
  margin: 0;
  padding: 0;
  padding-top: 100px;
}

.swiper {
  width: 70%;
  padding-top: 50px;
  padding-bottom: 50px;
}

.swiper-slide {
  background-position: center;
  background-size: cover;
  width: 500px;
  /* height: 800px; */
}

.swiper-slide img {
  display: block;
  width: 100%;
}

.slide-content {
  width: 100%;
  height: 100%;
  background-color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  border-radius: 15px;
  padding: 15px;
}

.slide-content  > div {
  width: 100%;
}

.slide-content .book-image{
  height: 100%;
  border-radius: 15px;
  overflow: hidden;
}

.slide-content .book-image img{
  height: 400px;
  width: 100%;
  object-fit: cover;
}

.slide-content .book-description {
  padding: 20px 0px;
}

.slide-content .book-description > div p:first-child{
  margin: 0;
  margin-top: 15px;
  color: #000;
  font-weight: 500;
  font-size: 17px;
  text-align: justify;
}



.slide-content .book-description > div p:last-child {
  margin: 20px 0px;
  font-size: 16px;
  color: #0e0e0e;
  font-weight: 400;
  text-align: justify;
  overflow-anchor: auto;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  -webkit-line-clamp: 2;
}

.slide-content .book-description .book-title p{
  font-size: 17px !important;
  font-weight: 700 !important;
}

.slide-content a {
  font-size: 16px;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #2a2a2a;
    color: #fff;
    padding: 15px;
    height: 45px;
    width: 100%;
    border-radius: 8px;
    transition: 0.4s;
}

.slide-content a:hover {
  background-color: #0e0e0e;
}

/* contact us section */
.form {
  display: flex;
  justify-content: center;
}

.form-contact {
  background-color: #fff;
  width: 70%;
  border-radius: 10px;
  padding: 35px;
  margin-top: 5em;
}

.title-cont h3 {
  display: flex;
  justify-content: center;
  font-size: 22px;
  font-weight: bold;
}

.form-input {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.form-input > input {
  display: flex;
  width: 100%;
  margin-top: 22px;
  padding: 10px;
  height: 50px;
  border-radius: 7px;
  outline-style: unset;
  color: #000;
  border: solid #EEEEEE;
  background-color: #EEEEEE;
}

.form-input > textarea {
  height: 154px;
  width: 100%;
  background: #EEEEEE;
  border: solid #EEEEEE;
  margin-top: 22px;
  padding: 10px;
  border-radius: 7px;
  outline-style: unset;
}

.form-btn {
  display: flex;
  justify-content: center;
  margin-top: 22px;
  width: 100%;
}

.form-btn > button {
  width: 40%;
}



/* responsive */

@media (max-width: 767px) {
  /* background section */
  .background-section {
      height: calc(100vh - 70px);
      position: relative;
  }

  /* news section */
  .news-section {
      padding-top: 130px;
  }
  .news-section .news-body {
      grid-template-columns: repeat(12, 1fr);
      grid-template-areas:
          "right right right right right right right right right right right right "
          "left left left left left left left left left left left left";
  }
  .news-section .news-body .right {
      margin-bottom: 50px;
  }

  .swiper {
      width: 100%;
  }

  .swiper-slide {
      width: 450px;
  }
}


@media (max-width: 551px) {
  /* background section */
  .background-section {
      height: calc(100vh - 70px);
      position: relative;
  }
  .background-section .hadeth-section {
      width: 100%;
      height: 20%;
      padding: 10px;
  }

  /* news section */
  .news-section {
      padding-top: 130px;
  }

  .news-section .news-body .left .news-card {
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 10px;
  }

  .news-section .news-body .left .news-card .img {
      width: 100%;
  }

  .news-section .news-body .left .news-card .card_body {
      width: 100%;
  }

  .news-section .news-body .left .news-card .news_title {
      padding: 0;
  }

  .news-section .news-body .news-card .news_date {
      margin: 0;
  }

  /* swiper section */
  .swiper {
      width: 100%;
  }

  .swiper-slide {
      width: 350px;
  }
}

@media (max-width: 350px) {

  .swiper-slide {
      width: 300px;
  }
}

@media (min-width: 768px) {
  /* background section */
  .background-section {
      height: calc(100vh - 70px);
      position: relative;
  }

  /* news section */
  .news-section {
      padding-top: 130px;
  }
  .news-section .news-body {
      grid-template-columns: repeat(1, 1fr);
      grid-template-areas:
          "right"
          "left";
  }

  .news-section .news-body .right {
      margin-bottom: 50px;
  }

  .news-section .news-body .left .news-card {
      width: 200px;
  }

  .swiper-slide {
      width: 500px;
  }
}

@media (min-width: 992px) {
  /* background section */
  .background-section {
      height: calc(100vh - 92px);
      position: relative;
  }

  /* news section */
  .news-section {
      padding-top: 100px;
  }

  .news-section .news-body {
      grid-template-columns: repeat(12, 1fr);
      grid-template-areas:
          "right right right right right left left left left left left left"
          "right right right right right left left left left left left left";
  }

  .news-section .news-body .right {
      width: 100%;
      margin-bottom: 50px;
  }

  .news-section .news-body .left .news-card {
      width: 230px;
  }
}

@media (min-width: 1200px) {
  .news-section .news-body {
      grid-template-columns: repeat(12, 1fr);
      grid-template-areas:
          "right right right right left left left left left left left left"
          "right right right right left left left left left left left left";
  }

  .news-section .news-body .right {
      margin-bottom: 0;
  }
}